HelpSet.DefaultHelpSetFactory
Keywords: javax.help.HelpSet.DefaultHelpSetFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class HelpSet.DefaultHelpSetFactory

    java.lang.Object
      javax.help.HelpSet.DefaultHelpSetFactory

All Implemented Interfaces:
  javax.help.HelpSetFactory

Enclosing class:
  HelpSet

public static class HelpSet.DefaultHelpSetFactory
extends java.lang.Object
implements javax.help.HelpSetFactory

The default HelpSetFactory that processes HelpSets.

Nested Class Summary
`static class` | `HelpSetFactory.HelpAction` Internal storage of HelpAction defined in a Presentaion

Constructor Summary
`HelpSet.DefaultHelpSetFactory()`

Method Summary
`java.util.Enumeration` | `listMessages()` Enumerates all the error messages.
`HelpSet` | `parsingEnded(HelpSet hs)` Parsing has ended.
`void` | `parsingStarted(java.net.URL source)` Parsing starts.
`void` | `processDOCTYPE(java.lang.String root, java.lang.String publicID, java.lang.String systemID)` Process a DOCTYPE
`void` | `processHomeID(HelpSet hs, java.lang.String value)` A HomeID is found.
`void` | `processMapRef(HelpSet hs, java.util.Hashtable attributes)` process a <mapref>
`void` | `processPI(HelpSet hs, java.lang.String target, java.lang.String data)` Processes a PI
`void` | `processPresentation(HelpSet hs, java.lang.String name, boolean defaultPresentation, boolean displayViews, boolean displayViewImages, java.awt.Dimension size, java.awt.Point location, java.lang.String title, java.lang.String imageID, boolean toolbar, java.util.Vector helpActions)` Creates a HelpSet.Presentation from the data.
`void` | `processSubHelpSet(HelpSet hs, java.util.Hashtable attributes)` Called when a sub-HelpSet is found.
`void` | `processTitle(HelpSet hs, java.lang.String value)` A title is found
`void` | `processView(HelpSet hs, java.lang.String name, java.lang.String label, java.lang.String type, java.util.Hashtable viewAttributes, java.lang.String data, java.util.Hashtable dataAttributes, java.util.Locale locale)` Creates a NavigatorView from the data.
`void` | `reportMessage(java.lang.String msg, boolean validParse)` Reports an error message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpSet.DefaultHelpSetFactory

    public HelpSet.DefaultHelpSetFactory()

Method Detail

### parsingStarted

    public void parsingStarted(java.net.URL source)

  Parsing starts.

  Specified by:
    `parsingStarted` in interface `javax.help.HelpSetFactory`

### processDOCTYPE

    public void processDOCTYPE(java.lang.String root,
                               java.lang.String publicID,
                               java.lang.String systemID)

  Process a DOCTYPE

  Specified by:
    `processDOCTYPE` in interface `javax.help.HelpSetFactory`
  Parameters:
    `publicID` - the document. If null or is not valid a parsingError will be generated.
    `root` - The root tag of the document
    `systemID` - SystemID from the DOCTYPE

### processPI

    public void processPI(HelpSet hs,
                          java.lang.String target,
                          java.lang.String data)

  Processes a PI

  Specified by:
    `processPI` in interface `javax.help.HelpSetFactory`
  Parameters:
    `target` - The target of the PI
    `data` - A String for the data in the PI

### processTitle

    public void processTitle(HelpSet hs,
                             java.lang.String value)

  A title is found

  Specified by:
    `processTitle` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The Helpset
    `value` - The title of the HelpSet

### processHomeID

    public void processHomeID(HelpSet hs,
                              java.lang.String value)

  A HomeID is found.

  Specified by:
    `processHomeID` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The Helpset
    `value` - The home ID for the helpset

### processMapRef

    public void processMapRef(HelpSet hs,
                              java.util.Hashtable attributes)

  process a <mapref>

  Specified by:
    `processMapRef` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The HelpSet

### processView

    public void processView(HelpSet hs,
                            java.lang.String name,
                            java.lang.String label,
                            java.lang.String type,
                            java.util.Hashtable viewAttributes,
                            java.lang.String data,
                            java.util.Hashtable dataAttributes,
                            java.util.Locale locale)

  Description copied from interface: `javax.help.HelpSetFactory`
  Creates a NavigatorView from the data.

  Specified by:
    `processView` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The HelpSet

### processPresentation

    public void processPresentation(HelpSet hs,
                                    java.lang.String name,
                                    boolean defaultPresentation,
                                    boolean displayViews,
                                    boolean displayViewImages,
                                    java.awt.Dimension size,
                                    java.awt.Point location,
                                    java.lang.String title,
                                    java.lang.String imageID,
                                    boolean toolbar,
                                    java.util.Vector helpActions)

  Description copied from interface: `javax.help.HelpSetFactory`
  Creates a HelpSet.Presentation from the data. The hs and name parameters are the only required parameters. All others may be null.

  Specified by:
    `processPresentation` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The HelpSet
    `name` - Name of the Presentation
    `displayViews` - Display the Views in the Presentation
    `displayViewImages` - Display the Views Images in the Presentation
    `size` - Size of the Presentation
    `location` - Location of the Presentation
    `title` - Title for the presentation
    `toolbar` - Is there a custom toolbar for the presentation
    `helpActions` - A Vector of HelpAction(s).

### processSubHelpSet

    public void processSubHelpSet(HelpSet hs,
                                  java.util.Hashtable attributes)

  Called when a sub-HelpSet is found.

  Specified by:
    `processSubHelpSet` in interface `javax.help.HelpSetFactory`

### reportMessage

    public void reportMessage(java.lang.String msg,
                              boolean validParse)

  Reports an error message.

  Specified by:
    `reportMessage` in interface `javax.help.HelpSetFactory`
  Parameters:
    `msg` - The message to report.
    `validParse` - Whether the on-going parse should return a valid object.

### listMessages

    public java.util.Enumeration listMessages()

  Enumerates all the error messages.

  Specified by:
    `listMessages` in interface `javax.help.HelpSetFactory`

### parsingEnded

    public HelpSet parsingEnded(HelpSet hs)

  Parsing has ended. Last chance to do something to the HelpSet.

  Specified by:
    `parsingEnded` in interface `javax.help.HelpSetFactory`
  Parameters:
    `hs` - The HelpSet the parsing ended on. A null hs is valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD